package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.EmsBatteryStack;

/**
 * 电池堆数据Service接口
 *
 * @author xzzn
 * @date 2025-06-29
 */
public interface IEmsBatteryStackService
{
    /**
     * 查询电池堆数据
     *
     * @param id 电池堆数据主键
     * @return 电池堆数据
     */
    public EmsBatteryStack selectEmsBatteryStackById(Long id);

    /**
     * 查询电池堆数据列表
     *
     * @param emsBatteryStack 电池堆数据
     * @return 电池堆数据集合
     */
    public List<EmsBatteryStack> selectEmsBatteryStackList(EmsBatteryStack emsBatteryStack);

    /**
     * 新增电池堆数据
     *
     * @param emsBatteryStack 电池堆数据
     * @return 结果
     */
    public int insertEmsBatteryStack(EmsBatteryStack emsBatteryStack);

    /**
     * 修改电池堆数据
     *
     * @param emsBatteryStack 电池堆数据
     * @return 结果
     */
    public int updateEmsBatteryStack(EmsBatteryStack emsBatteryStack);

    /**
     * 批量删除电池堆数据
     *
     * @param ids 需要删除的电池堆数据主键集合
     * @return 结果
     */
    public int deleteEmsBatteryStackByIds(Long[] ids);

    /**
     * 删除电池堆数据信息
     *
     * @param id 电池堆数据主键
     * @return 结果
     */
    public int deleteEmsBatteryStackById(Long id);
}
